# Overview

- This mod makes it possible to replace the pattern and color of the flashlights.

- It's meaningless to install this mod separately. You also need to download additional flashlight resource packages, such as [Genshin_Flashlight_Pack](https://discord.gg/FRdArrB5w8).

-  You can only use one resource package at a time. If you install multiple resource packages at the same time, they will be loaded randomly and only the first one loaded will be used.

-  If you find your favorite picture, you can copy the picture from the resource package to `Localia-CustomFlashlight/CustomFlashlight_Favourite/`. They will be loaded with the highest priority.


# How To Make A Custom Flashlight

1.The flashlight pattern is a square PNG with the same length and width.

2.You can set "Allow Dump Pics" on in the `Localia.CustomFlashlight.cfg`, the original pictures of flashlights will dump to `/CustomFlashlight_Favourite/Dump/`, then you can edit it by Photoshop. Or you can also start with [my PSD sample](https://gtfo.thunderstore.io/package/Localia/CustomFlashlight_Example/).

3.When you're finished, you can put the pictures in any folder under `/plugins/`, it will automatically search all available pictures.

4.Then you need to follow the instructions below to rename the image:

The file name consists of 6 parameters, and separated by ",":

	For Example：CF,GunLight_A,1.0,0.1,0.2,0.3.png

	Parameters： tag,flashlight_name,intensity,R,G,B
	


#### 1).tag
- Must be 'CF' (the abbreviation of CustomFlashlight)
- If it is not 'CF', this picture will never be loaded.

#### 2).flashlight_name
- The flashlight's `name` in `GameData_FlashlightSettingsDataBlock_bin.json`.
- Cannot use duplicate names,or pictures that loaded later will be ignored.

#### 3).intensity  (-1 or 0.01~1.0)
- The brightness of flashlight.
- Will overwritten the flashlight's `intensity` in `GameData_FlashlightSettingsDataBlock_bin.json`.
- If you don't want to change, you can fill with "-1", which will use the original value of GameData.

#### 4~6).RGB  (-1 or 0.01~1.0)
- Color of the flashlight.
- Values between 0.0~1.0 , not 0~255.
- Will overwritten the flashlight's `r,g,b` in `GameData_FlashlightSettingsDataBlock_bin.json`.
- If you don't want to change, you can fill with "-1", which will use the original value of GameData.


*You can access and refer to the original PNG files of ["Existing Resource Packs"](https://discord.gg/FRdArrB5w8), which are the best templates*.




# Note

Contact [Localia#5666 on the modding server](https://discord.gg/FRdArrB5w8) if you want to give feedback or have found any issue.


============ Change Log ============

v1.0.0
 - Initial Release
